---
assigned: ""
progress: 0
type: "note"
created: "2024-01-14T02:18:18.616Z"
updated: "2024-02-02T23:34:45.599Z"
status: "3-Open"
---

# Three new OI API Endpoints - OI to SQL Queries for API

See e-mail OI to SQL Queries for API

### Here are the three queries we currently use and would like an API for:

### 1. GetSODPerWafer:

- RDSKey (608325)
- TencorRecipe (8IN_THIN ROTR)
- ScanDTM (09/11/2023 01:34:11PM)

```
DECLARE @RDS         varchar(10)
DECLARE @RECIPE      varchar(30)
DECLARE @INSERT_DT   datetime
SET @RDS      = '608325'
SET @RECIPE   = '8IN_THIN ROTR'
SET @INSERT_DT = '09/11/2023 01:34:11PM'
SELECT child.slot,
       child.sumofdefects,
       child.sort
FROM Metrology.dbo.TencorRunHeader header
INNER JOIN Metrology.dbo.TencorRunData child
  on header.id = child.headerid
WHERE header.rds = @RDS
  AND header.recipe like @RECIPE + '%'
  AND Child.InsertDate BETWEEN (SELECT(DATEADD(minute, -5, @INSERT_DT)))
  and (SELECT(DATEADD(minute, 5, @INSERT_DT)))
ORDER BY header.insertDate DESC, child.slot ASC
```

### 2. GetUCL:

- ReactorKey (41)
- TencorRecipe (8IN_THIN ROTR)

```
SELECT [F_MEAN] as ProcessMean,
       [F_SP] as ProcessSigma
FROM [SPCEPIWORLD].[dbo].[CTRL_LIM] CTRL
JOIN [SPCEPIWORLD].[dbo].[PART_DAT] PART
  ON PART.F_PART = CTRL.F_PART
JOIN [SPCEPIWORLD].[dbo].[PRCS_DAT] PROCESS
  ON PROCESS.F_PRCS = CTRL.F_PRCS
JOIN [SPCEPIWORLD].[dbo].[TEST_DAT] TEST
  ON TEST.F_TEST = CTRL.F_TEST
WHERE PART.F_NAME = '8IN_THIN ROTR'
  AND PROCESS.F_NAME = '41'
  AND TEST.F_NAME = 'Average Sum of Defects'
```

```bash Fri Feb 02 2024 16:38:01 GMT-0700 (Mountain Standard Time)
git clone https://tfs.intra.infineon.com/tfs/ManufacturingIT/Mesa_FI/_git/FI-Operations/
cd FI-Operations
git fetch
git checkout metrology-view-api
git reset --soft bc1289877997fed7b10d7dc284a412604ad8b9e2
code --goto "Applications/open-insight-metrology-viewer/tc_col_metrology-viewer-v3.json:25:21"
```

### 3. GetWaferImagePath

- RDSKey (608325)
 - TencorRecipe (8IN_THIN ROTR)
 - WaferNo (*01)

```
DECLARE @RDS         varchar(10)
DECLARE @RECIPE      varchar(30)
DECLARE @WFRID       varchar(10)
SET @RDS      = '608325'
SET @RECIPE   = '8IN_THIN ROTR'
SET @WFRID    = '*01'
SELECT TOP (1)
       child.AttachmentID,
       child.insertDate
FROM Metrology.dbo.TencorRunHeader header
INNER JOIN Metrology.dbo.TencorRunData child
  on header.id = child.headerid
WHERE header.rds = @RDS
  and header.recipe like @RECIPE + '%'
  and child.slot =
```

## Relations

- [OI Metrology Viewer](Viewer.md)
